﻿// Fill out your copyright notice in the Description page of Project Settings.

#include "DataAssets/RRDATurbineDataAsset.h"

bool URRDATurbineDataAsset::IsEnabled_Internal(UObject* WorldContextObject) const
{
	// If this Asset is not disabled we want to check that all the values are valid
	if(!mIsDisabled)
	{
		fgcheckf(mTier > 0, TEXT("%s: mTier must be larger then 0"), *GetName());
		fgcheckf(mRPMDrag > 0, TEXT("%s: mRPMDrag must be larger then 0"), *GetName());
		fgcheckf(mMaxRPM > 0, TEXT("%s: mMaxRPM must be larger then 0"), *GetName());
		fgcheckf(mRPMMultiplier > 0.f, TEXT("%s: mMaxRPM must be larger then 0"), *GetName());
		fgcheckf(mRPHandleTime > 0.f, TEXT("%s: mRPHandleTime must be larger then 0"), *GetName());
		fgcheckf(mDuration > 0.f, TEXT("%s: mDuration must be larger then 0"), *GetName());
		fgcheckf(mItem.Amount > 0, TEXT("%s: mItem.Amount must be larger then 0"), *GetName());
		fgcheckf(mItem.ItemClass, TEXT("%s: mItem.ItemClass must be valid"), *GetName());
	}
	return Super::IsEnabled_Internal(WorldContextObject);
}