// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Buildables/FGBuildableFactory.h"
#include "DataAssets/RRDADataAssetBase.h"
#include "Structs/RRDADSStructs.h"
#include "RRDADataAssetDSAdapterCovers.generated.h"

/**
 * 
 */
UCLASS()
class REFINEDRDAPI_API URRDADataAssetDSAdapterCovers : public URRDADataAssetBase
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintPure, Category = "AdapterCovers")
	TArray<FTransform> GetWorldTransforms(FTransform OriginTransform);

	/* The building class these adapter covers belongs to */
	UPROPERTY(EditDefaultsOnly, BlueprintReadWrite, Category="AdapterCovers")
	TSubclassOf<AFGBuildableFactory> mBuildingClass;

	/* An array of covers to place on the buildable connections */
	UPROPERTY(EditDefaultsOnly, BlueprintReadWrite, Category="AdapterCovers")
	TArray<FRRDADSAdapterCoverDetails> mCovers;
};
