// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "RRDADataAssetDSAdapterCovers.h"
#include "Buildables/FGBuildableFactory.h"
#include "DataAssets/RRDADataAssetBase.h"
#include "Structs/RRDADSStructs.h"
#include "RRDADataAssetDSModAdapter.generated.h"

/**
 * 
 */
UCLASS()
class REFINEDRDAPI_API URRDADataAssetDSModAdapter : public URRDADataAssetBase
{
	GENERATED_BODY()

public:
	/* The Building class to snap to when placing */
	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category="ModAdapter")
	TSubclassOf<AFGBuildableFactory> mBuildingClass;

	/* The Adapter Cover Asset */
	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category="ModAdapter")
	URRDADataAssetDSAdapterCovers* mAdapterCoversAsset;

	/* Select which inventories can be accessed by Digital Storage */
	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category="ModAdapter")
	TArray<FRRDADSModAdapterInventoryAccess> mInventoryAccess;

	UPROPERTY(BlueprintReadOnly, meta=(NoAutoJson = true))
	bool mOverrideNetworkConnectionTransform = false;

	/* By default the adapter will use the Power Connection Components transform for the Network Connection Component transform. Override this and manually set the transform
	 */
	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category = "ModAdapter", meta = ( EditCondition = mOverrideNetworkConnectionTransform ))
	FTransform mNetworkConnectionRelativeTransform;
};
