﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "RRDADataAssetBase.h"
#include "ItemAmount.h"

#include "RRDAGeneratorDataAsset.generated.h"

UCLASS( BlueprintType )
class REFINEDRDAPI_API URRDAGeneratorDataAsset : public URRDADataAssetBase
{
	GENERATED_BODY()

public:
	/**
	 * Fuel item that this heater uses
	 */
	UPROPERTY( EditAnywhere, BlueprintReadWrite, Category = "Generator", meta=( UIMin = "1", UIMax = "5" ) )
	int32 mTier = 1;

	/**
	 * Maximum power output of the generator
	 */
	UPROPERTY( EditAnywhere, BlueprintReadWrite, Category = "Generator" )
	float mMaxPowerOutput;

	/**
	 * Maximum RPM of the generator
	 */
	UPROPERTY( EditAnywhere, BlueprintReadWrite, Category = "Generator" )
	int mMaxRPM;

	/**
	* Curve that defines the power output of the generator
	*/
	UPROPERTY( EditAnywhere, BlueprintReadWrite, Category = "Generator" )
	UCurveFloat* mGeneratorCurve;
};