﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "RRDADataAssetBase.h"
#include "ItemAmount.h"
#include "Enums/RRDARPEnums.h"

#include "RRDAHeaterDataAsset.generated.h"

UCLASS( BlueprintType )
class REFINEDRDAPI_API URRDAHeaterDataAsset : public URRDADataAssetBase
{
	GENERATED_BODY()

public:
	/**
	 * What type of heater this is
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Heater")
	ERRDAHeaterType mType = ERRDAHeaterType::Biomass;
	
	/**
	 * Fuel item that this heater uses
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Heater")
	FItemAmount mInput;
	
	/**
	 * Item that this turbine produces
	 * @Note - Can be nullptr
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Heater")
	FItemAmount mOutput;
	
	/**
	 * Duration for one production
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Heater")
	float mDuration = 6.f;

	UPROPERTY( EditAnywhere, BlueprintReadWrite, Category = "Heater" )
	float mHeat = 1;

	UPROPERTY( EditAnywhere, BlueprintReadWrite, Category = "Heater" )
	float mMaxHeatValue = 500;

	UPROPERTY( EditAnywhere, BlueprintReadWrite, Category = "Heater" )
	float mMinHeatValue = 20;
};